[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
  display: none !important;
}

* {
  -moz-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

#topLayer, #page{
  min-height: 100vh;
  overflow-x: hidden;
}

/*body {*/
  /*background: url('../img/banned.jpg') no-repeat center/cover;*/
/*}*/

#ban_img {
  background: url('../img/banned.jpg') no-repeat center/cover;
  width: 100%;
  height: 100vh;
}

button:hover {
  filter: brightness(120%);
}

#modal_game {
  padding: 0 !important;
  margin: 0 !important;

  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background: #000;
}
#modal_game .modal-dialog {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}
#modal_game .modal-content {
  height: auto;
  min-height: 100%;
  border-radius: 0;
}
#frame {
  width: 100vw;
  height: 100vh;
  padding: 0;
  display: block;
  border: none;

/*   
  transform: scale(1.5);
  width: calc(100% / 1.5);
  height: calc(70% / 1.5);
  margin-top: 40%; */
}
#modal_game [id^="game_"] {
  position: absolute;
  z-index: 100;
  padding: 12px;

  border: 2px solid #E7D5A1;
  background: linear-gradient(to bottom, #211405 0%,#544c39 100%);
}

#modal_game.desktop #game_menu {
  top: 0%;
  left: 0;
  width: 100px;
  height: 102px;
  border-radius: 0 0 40px 0;
  border-top: 0;
  border-left: 0;
}
#modal_game.mobile #game_menu {
  top: 0%;
  left: 0%;
  width: 100px;
  height: 10vh;
  font-size: 12px;
  min-width: 0;
  border-radius: 0 0 40px 0;
}

.btn-play {
  -webkit-transform: translate(-50%, 50%);
}

#modal_game.desktop #game_cashout {
  right: 0%;
  top: 0%;
  width: 100px;
  height: 82px;
  border-radius: 0 0 0 40px;
  border-right: 0;
  border-top: 0;
}
#modal_game.mobile #game_cashout {
  top: 0%;
  right: 0%;
  width: 100px;
  height: 10vh;
  font-size: 12px;
  min-width: 0;
  border-radius: 0 0 0 40px;

}

#topLayer.blocked {
  /* pointer-events: none;
  filter: grayscale(0.4) brightness(90%); */
}

#banned_box {
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background: #000;
  width: 100%;
  max-width: 980px;
  height: 430px;
}
#banned_box h1 {
  text-align: center;
  margin-top: 60px;
}

/* override zone */
#game-slider{

}

#game-slider-pg{

}

#game-slider-slot{

}

#game-slider-fish{

}

.gamelist-wrapper .gamelist-item video.img_game {

}
#vidRank {
  height: 390px;
  object-fit: cover;
  overflow: hidden;
  border-radius: 14px;
  padding-bottom: 0 !important;
  margin-bottom: 2px;
}
@media screen and (max-width: 770px) {
  #vidRank {
    height: 204px;
  }
}

.scale_screen {
  transform-origin: top center;
}
.slick-next{
  border-radius: 20px;
  box-shadow: 1px 1px 1px 0.5px #0000007d;
  
}
.slick-prev{
  border-radius: 20px;
    box-shadow: -1px 1px 2px 0px #0000007d;
}

.slick-arrow {
  transform: scale(4.5);
}
.slick-prev:before{
  font-size: 23px;
  position: relative;
  top: 0.5px;
  right: 2px;
}
.slick-next:before{
  font-size: 23.5px;
  position: relative;
  left: -1.5px;
  top: 0.5px;
}
.slick-dots li.slick-active button:before {
  color: white;
}
.slick-dots li button:before {

  border: 1px solid white;
}

.gamelist-item > .img-wrapper {
  height: 200px;
}

.gamelist-item > .img-wrapper > img{
  transition: all 0.3s ease;
}
.gamelist-item.focus_target > .img-wrapper > img{
  /* border: 8px solid #ffffff; */
  box-shadow: 1px 1px 13px 2px #ffffffa6;
  filter: brightness(110%) saturate(1.2);
  /* transform: scale(1.01); */
}
.gamelist-item.focus_target{
  background: linear-gradient(to right bottom, #ffb100 30%, #ee6e00) !important;
  overflow: hidden;
  border-radius: 10px;
}


.gamelist-item.focus_target > .img-wrapper > .btn-play {
    position: absolute;
    left: 50%;
    top: 44%;
    transform: translate(-50%,-50%);
    opacity: 1;
    height: 24%;
    border-radius: 2.5em;
    box-shadow: -1px 1px 11px 0px #000000c4;
}

.gamelist-item.focus_target > .img-wrapper > .btn-play:active{
  background: #c12c00;
}

.gamelist-item > .img-wrapper > .btn-play {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%,230%);
  opacity: 1;
  height: 24%;
  border-radius: 5px;
  box-shadow: -1px 1px 11px 0px #000000c4;
  opacity: 0;
  transition: all 0s ease;
}



button.check-listener{
  outline: none;
    border: none;
    background: transparent;
    color: transparent;
}

.header-tab{
  width: 100%;
  height: 15vh;
  background: linear-gradient(to bottom,#5f0202 20%,#250000 90%);
  box-shadow: 0px 4px 10px 1px #00000085;
  display: flex;
  position: relative;
  overflow: hidden;
  filter: drop-shadow(2px 4px 20px black);
}
.header-tab .machine-no-bg{
  width: 22%;
  height: 100%;
  /* border-right: 35px solid transparent;
  border-top: 170px solid #170000; */
  border-right: 2vw solid transparent;
  border-top: 10vw solid #170000;
  position: absolute;
  top:0;
  left: 0;
}
.header-tab .machine-no-data{
  width: 22%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
}
.header-tab .machine-no-data h5{
  font-style: italic;
  /* font-size: 18px; */
  font-size: 3vh;
  font-weight: bold;
  margin-bottom: -4px;
  width: 100%;
  padding-left: 15%;
}
.header-tab .machine-no-data h3{
    font-style: inherit;
    /* font-size: 45px; */
    font-size: 6vh;
    font-weight: 800;
    margin: 0;
    letter-spacing: 3px;
    width: 100%;
    padding-left: 15%;
    text-transform: uppercase;
}
.header-tab .line{
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
}
.header-tab .credits{
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  text-align: left;
}
.header-tab .credits .label{
  padding: 2px 12px;
  font-size: 22px;
  margin-bottom: 6px;
  position: absolute;
  top: 0;
  left: 5px;
  transform: translateY(-110%);
  background: linear-gradient(to right,rgb(255, 19, 19) 26%,rgba(31, 61, 107, 0) 100%);
}

/* .header-tab .credits .label{
  padding: 2px 8px;
  font-size: 22px;
  margin-bottom: 6px;
  position: absolute;
  top: 0;
  left: 5px;
  transform: translateY(-200%);
  background: linear-gradient(to right,rgb(255, 19, 19) 26%,rgba(31, 61, 107, 0) 100%);
} */

.header-tab .credits .money {
  display: flex;
  justify-content: center;
  align-items: center;
  height: calc(60%);
  max-height: calc(60%);
  position: relative;
  margin-top: 16px;
}

.header-tab .credits.version1 .money {
  height: calc(50%);
  max-height: calc(50%);
}

.header-tab .credits.version1 .money img.number{
  margin: 3px -21px;
}

.header-tab .credits.version1 .money img.comma{
  margin: 0 -18px;
}

.header-tab .credits.version1 .money img.dot{
  margin: 0 -10px;
}

.header-tab .credits.version3 .money {
  height: 100%;
  max-height: 9vh;
}

.header-tab .credits.version3 .money img.number{
  margin: 3px -10px;
}

.header-tab .credits.version3 .money img.comma{
  margin: 0 0px;
}

.header-tab .credits.version3 .money img.dot{
  margin: 0 -10px;
}


/* .header-tab .credits .money {
  display: flex;
  justify-content: center;
  align-items: center;
  height: calc(30% - 11px);
  max-height: calc(30%);
  position: relative;
  margin-top: 12px;
} */

.header-tab .credits .money .label {
  
}
.header-tab .cashout-button{
  width: 18%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}
.header-tab .cashout-button button{
  color: transparent;
  /* background: url(https://nctmedia.online/cafe_project/icon/cashout.webp) no-repeat center; */
  /* background-image: url(https://nctmedia.online/cafe_project/icon/cashout.webp); */
  background-repeat: no-repeat;
  background-position: center;
  /* background-attachment: fixed; */
  background-size: cover;
  width: 80%;
  height: 62%;
  border: none;
  outline: none;
  filter: drop-shadow(2px 2px 2px black);
  border-radius: 15px;
  background-color: transparent;
  filter: drop-shadow(2px 1px 1px black);
}

.withdraw-button-en{
  background-image: url(https://nctmedia.online/cafe_project/icon/cashout.webp);
}

.withdraw-button-th{
  background-image: url(https://nctmedia.online/cafe_project/icon/cashout_th.webp);
}

.withdraw-button-cn{
  background-image: url(https://nctmedia.online/cafe_project/icon/cashout_cn.webp);
}

.header-tab .credits .money img.number{
  height: 100%;
  width: auto;
  object-fit: contain;
  /* margin: -3px; */
  margin: 3px -5px;
}
.header-tab .credits .money img.comma{
  height: 50%;
  transform: translateY(85%);
  width: auto;
  object-fit: contain;
  /* margin: 0; */
  margin: 0;
}

.header-tab .credits .money img.dot{
  height: 45%;
  transform: translateY(70%);
  width: auto;
  object-fit: contain;
  /* margin: 0; */
  margin: 0 -4px;
}


/* .header-tab .credits .money img.number{
  height: 85%;
  width: auto;
  object-fit: contain;
  transform: scale(2.5);
  margin: 6px -25px;
}
.header-tab .credits .money img.comma{
  height: 48%;
  transform: translateY(150%) scale(2);
  width: auto;
  object-fit: contain;
  margin: 0 -18px;
}

.header-tab .credits .money img.dot{
  height: 43%;
  transform: translateY(150%) scale(2);
  width: auto;
  object-fit: contain;
  margin: 0 -10px;
} */

#topLayer{
  min-height: 100%;
  display: flex;
  flex-direction: column;
}
.full-screen-container{
  width: 58vw;
  /* width: 75%; */
  margin: 0 auto;
  height: 84vh;
  position: relative;
}
.swiper-container{
  /* height: 100%; */
  height: 84vh;
}
.swiper-wrapper.gamelist-wrapper{
  /* height: 100%; */
  height: 84vh;
  display: flex;
}
#game-slider{
  /* display:none; */
  margin-bottom: auto;
  margin-top: auto;
  padding: 0;
}
#game-slider > .slick-list{
  
}
#game-slider > .slick-list .slick-track{
 

}
#game-slider-pg{
  /* display:none; */
  margin-bottom: auto;
  margin-top: auto;
  padding: 0;
}
#game-slider-pg > .slick-list{
  
}
#game-slider-pg > .slick-list .slick-track{
 

}

#game-slider-omg{
  /* display:none; */
  /* margin-bottom: auto;
  margin-top: auto;
  padding: 0; */
  margin-top: 30px;
}
#game-slider-omg > .slick-list{
  
}
#game-slider-omg > .slick-list .slick-track{
 

}

#game-slider-slot{
  /* display:none; */
  margin-bottom: auto;
  margin-top: auto;
  padding: 0;
}
#game-slider-slot > .slick-list{
  
}
#game-slider-slot > .slick-list .slick-track{
 

}

#game-slider-fish{
  /* display:none; */
  margin-bottom: auto !important;
  margin-top: auto !important;
  padding: 0 !important;
}
#game-slider-fish > .slick-list{
  
}
#game-slider-fish > .slick-list .slick-track{
 

}

#game-slider-omg{
  /* display:none; */
  margin-bottom: auto;
  margin-top: auto;
  padding: 0;
}
#game-slider-omg > .slick-list{
  
}
#game-slider-omg > .slick-list .slick-track{
 

}

.select-game-provider{
  /* position: fixed;
  margin-top: 9%;
  width: 14%; */

  position: fixed;
  /* margin-top: 9%; */
  width: 15%;
  position: fixed;
  top: 30%;
  /* transform: translateY(-50%); */
  z-index: 9999;
  display: flex;
  flex-direction: column;
  gap: 12px;
  /* left: 4%; */
  align-items: center;
}

.select-game-provider .game-provider{
  /* text-align: center;
  padding: 20px 0 0 0;
  opacity: 0.5; */

  text-align: center; 
  /* padding: 20px 0 0 0; */
  /* opacity: 0.5; */
  width: 150px;
  height: 110px;
  /* background: #ffffff; */
  border-radius: 15%;
  box-shadow: 0 4px 12px rgba(0, 0, 0, .2);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: all .25s ease;
  
}

.select-game-provider .active{
  /* opacity: 1; */

  opacity: 1;
  border: 10px solid #fdb62b !important;
  padding: 10px;
}
.img-active{
  /* border: 10px  solid #fdb62b !important; */
  opacity: 1 !important;
}

.select-game-provider .game-provider img{
  /* width: 70%;
  box-shadow: 6px 6px 3px 5px rgb(0 0 0 / 31%);
  padding: 15px;
  border-radius: 25px;
  border: 10px solid #fdb62b00; */

  /* width: 70%; */
  /* box-shadow: 6px 6px 3px 5px rgb(0 0 0 / 31%); */
  /* padding: 15px; */
  /* border-radius: 25px; */
  /* border: 10px solid #fdb62b00; */
  width: 120px;
  height: auto;
  opacity: .6;
  transition: all .25s ease;
}

.gamelist-wrapper .gamelist-item {
  padding: 10px 10px !important;
  background: url(https://nctmedia.online/cafe_project/icon/loading.webp) no-repeat center; /*loading*/
  width: -webkit-calc(100%/4);
  width: calc(100%/4);
  filter: drop-shadow(2px 2px 8px #00000055);
  /* width: -webkit-calc(100%/5);
  width: calc(100%/5); */
  height: auto;
}

.gamelist-wrapper .gamelist-item .img_game {
  height: 100%;
  width: 100%;
  object-fit: cover;
  border-radius: 10px;
  box-shadow: 0px 3px 3px 1px rgba(0, 0, 0, 0.31);
}

.slick-prev:before, .slick-next:before{
  color: #ffbd08;
}
.slick-prev {
  left: -65px;
}
.slick-next {
  right: -65px;
}

.slick-dots li{
  width: 38px;
  height: 12px;
  margin: 0 4px;
  padding: 0;
  cursor: pointer;
  overflow: hidden;
  background: #880102;
  border-radius: 10px;
}
.slick-dots{
  bottom: -30px;
}
.slick-dots li.slick-active{
  background: #fcbb03;
}
.slick-dots li.slick-active button:before {
  color: rgba(0, 0, 0, 0);
}
.slick-dots li button:before {
  border: 1px solid rgba(0, 0, 0, 0);
  color: rgba(0, 0, 0, 0);
}

.slick-prev:before, .slick-next:before {
  color: #ffbd08;
  opacity: 0.9;
}

.line {
  width: 100vw;
  height: 5px;
  
  background: #ff0000;
  box-shadow: inset 0 2px 2px rgba(255,255,255,0.1), inset 0px -0.05px 1px rgba(0,0,0,.1), 0 1px 2px rgba(0,0,0,.1);
  filter: drop-shadow(2px 1px 20px rgba(0,0,0,1));
  border-radius: 1px;
}




.lds-ellipsis {
  display: inline-block;
  position: relative;
  width: 100px;
  height: 64px;
}
.lds-ellipsis div {
  position: absolute;
  top: 27px;
  width: calc((20 / 1920) * 100vw);
  height: calc((20 / 1920) * 100vw);
  border-radius: 50%;
  background: #fff;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.lds-ellipsis div:nth-child(1) {
  left: 0px;
  animation: lds-ellipsis1 0.6s infinite;
}
.lds-ellipsis div:nth-child(2) {
  left: 0px;
  animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(3) {
  left: 35px;
  animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(4) {
  left: 60px;
  animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes lds-ellipsis3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes lds-ellipsis2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(35px, 0);
  }
}

.sweet-alert.showSweetAlert{
  background: linear-gradient(to bottom, #600000 0%, #280203 75%);
  border: 5px solid #c90708;
  border-radius: 20px;
  box-shadow: inset 1px 1px 19px 1px #0000007d;
}
.sweet-alert .sa-icon.sa-warning{
  border-color: #ffa603;
}
.sweet-alert .sa-icon.sa-warning .sa-body{
  border-color: #ffa603;
}
.sweet-alert .sa-icon.sa-warning .sa-dot{
  border-color: #ffa603;
}

.sweet-alert button.cancel{
  border: 2px solid #f89219;
}

.sweet-alert button.confirm{
  background: linear-gradient(to right bottom, #ff981f 30%, #cc6003 );
}
.sweet-overlay{
  background-color: rgba(0,0,0,0.8);
}

#modal_cashout .modal-dialog{
  position: relative;
  transform: translateY(-20%);
  background: transparent;
}
#modal_cashout .modal-dialog .modal-content{
  padding: 20px;
  background: linear-gradient(to bottom, #600000 0%, #280203 75%);
  border: 5px solid #c90708;
  border-radius: 20px;
  box-shadow: inset 1px 1px 19px 1px #0000007d;
}

#alarmAlert{
  position: absolute;
  /* bottom: 20px; */
  bottom: 13vh;
  right: 18px;
  width: 4.5vw;
  margin: 16px;
  padding: 16px;
  background: #feb900;
  border-radius: 50%;
  filter: drop-shadow(1px 1px 6px black);
  cursor: pointer;
}
#alarmAlert.active{
  animation: active-alert 0.7s infinite;
}
@keyframes active-alert {
  0%   {background: #feb900;filter: brightness(1) contrast(1);}
  50%  {background: #e5fe00; filter: brightness(1.5) contrast(1.5);}
  100% {background: #feb900;filter: brightness(1) contrast(1);}
}


#topLayer.lost-connection,.container-welcome.lost-connection{
  filter: blur(5px) brightness(40%);
  user-select: none;
  pointer-events: none;
}
.show-disconnect{
  display: flex;
  position: fixed;
  z-index: 1500;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  justify-content: center;
  align-items: center;
}
.show-disconnect .inner-content{
  width: 100vw;
  text-align: center;
  background: rgb(255, 255, 255);
  padding: 80px 0;
}
.show-disconnect .inner-content h2{
  color: rgb(76, 76, 76);
  font-size: 37px;
  font-weight: bold;
  margin-bottom: 0;
}

.show-disconnect .inner-content span{
  font-size: 27px;
  color: #636363;
}


/* for mobile style */
#topLayer.mobile{
  background-image: url('https://nctmedia.online/cafe_project/icon/bg_mobile.webp');
}
.mobile-container{
  display: flex;
  flex-direction: column;
  width: 100vw;
  height: 100vh;
  justify-content: flex-start;
}

.mobile-container .header-mobile_container{
    height: 10vh;
    background: linear-gradient(to bottom,#310101 20%,#800303 110%);
    box-shadow: 1px 1px 12px 4px #000000bf;
    position: relative;
    /* overflow: hidden; */
    overflow: initial;
    display:flex;
    z-index: 10;
}
.mobile-container .header-mobile_container .machine-no{
  width:35%;height: 100%;
  position: relative;
  display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.mobile-container .header-mobile_container .machine-no span{
   position: relative;
   z-index: 10;
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center
}
.mobile-container .header-mobile_container .machine-no span.label{
  font-size: 0.8em;
  font-weight: bold;
  color: #ffffffeb;
  line-height: 1;
  padding: 0;
}
.mobile-container .header-mobile_container .machine-no span.username{
    font-size: 1.6em;
    line-height: 1;
    font-weight: bold;
    transform: skew(-10deg);
    text-shadow: 1px 1px 2px #101010, 1px 1px 3px #353535, 2px 2px 2px black;
}
.mobile-container .header-mobile_container .machine-no .inner-bg{
  position: absolute;
  background: #230202;
  top: 0;
  bottom: 0;
  left: -10%;
  right: 0;
  transform: skew(165deg);
}
.mobile-container .header-mobile_container .credit{
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-left: 6%;
  max-width: 65%;
}
.mobile-container .header-mobile_container .credit .label-mobile{
  font-size: 0.7em;
  font-weight: bold;
  color: #ffffffeb;
  transform: skew(-10deg);
  width: fit-content;
  padding: 0px 6px;
  background: linear-gradient(to right,#da0000 20%,#ffffff00 100%);
  border-radius: 4px
}
.mobile-container .header-mobile_container .credit .money-amount{
  display: flex;
  height: 55%;
  max-height:55%;
  align-items: center;
}
.mobile-container .header-mobile_container .credit .money-amount img.number{
  height: 75%;
  width: auto;
  object-fit: contain;
  margin: 0 -3px;
}

.mobile-container .header-mobile_container .credit .money-amount img.number.n1{
  margin: 0px 0 0 -3px;
}
.mobile-container .header-mobile_container .credit .money-amount img.number.n2{
  margin: 0px -3px 0 0px;
}

.mobile-container .header-mobile_container .credit .money-amount img.comma{
  height: 40%;
  transform: translateY(80%);
  width: auto;
  object-fit: contain;
  margin: 0 -3px;
}

.mobile-container .header-mobile_container .credit .money-amount img.dot{
  height: 36%;
  transform: translateY(55%);
  width: auto;
  object-fit: contain;
  margin: 0;
}

/* loading animation mobile */
.mobile-container .header-mobile_container .credit .money-amount .lds-ellipsis{
  height: 40%;
  display: flex;
  flex: 1;
  justify-content: center;
  transform: translateX(15%) scale(0.6);
  position: relative;
}
.mobile-container .header-mobile_container .credit .money-amount .lds-ellipsis div{
  top: 0px;
}

.mobile-container .listgames-mobile_container{
  overflow-x: auto;
  display: grid;
  /* grid-template-columns: 1fr 1fr; */
  grid-template-columns: repeat(auto-fit,minmax(50%,1fr));
  grid-template-rows: auto;
  grid-gap: 0;
  margin: 1em;
  margin-bottom: 10vh;
  margin-top: 0;
}
.mobile-container .listgames-mobile_container::-webkit-scrollbar{
  width: 5px;
}
.mobile-container .listgames-mobile_container .game-item-mobile{
  margin: 8px;
}
.mobile-container .listgames-mobile_container .game-item-mobile:nth-child(1){margin-top: 1em;}
.mobile-container .listgames-mobile_container .game-item-mobile:nth-child(2){margin-top: 1em;}
.mobile-container .listgames-mobile_container .game-item-mobile:nth-last-child(1){margin-bottom: 1em;}
.mobile-container .listgames-mobile_container .game-item-mobile:nth-last-child(2){margin-bottom: 1em;}

.mobile-container .listgames-mobile_container .game-item-mobile button{
  max-width: 100%;
  padding: 0;
  margin: 0;
  background: none;
  outline: none;
  border: none;
  overflow: hidden;
  border-radius: 5px;
  box-shadow: 1px 1px 8px 0px #000000a6;
}
.mobile-container .listgames-mobile_container .game-item-mobile button img{
  max-width: 100%;
  width: 100%;
  object-fit: contain;
  height: auto;
}


.mobile-container .footer-mobile_container{
  height: 10vh;
  background: linear-gradient(to top,#310101 20%,#800303 110%);
  box-shadow: 0px -3px 8px 1px #0000005e;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  display: flex;
  align-items: center;
  padding: 0 4%;
  justify-content: space-between;
}
.mobile-container .footer-mobile_container #alarmAlert {
    position: initial;
    width: 45px;
    margin: 0;
    height: 45px;
    max-height: 80%;
    padding: 0;
    display:flex;
}
.mobile-container .footer-mobile_container #alarmAlert img {
  height: 75%;
  object-fit: contain;
  width: auto;
  margin: auto;
  display: block;
}

.mobile-container .footer-mobile_container .alarm-mobile{
  height: 75%;
  margin: 16px;
  padding: 16px;
  background: #feb900;
  border-radius: 50%;
  filter: drop-shadow(1px 1px 6px black);
  cursor: pointer;
}
.mobile-container .footer-mobile_container .cashout-button-mobile{
  height: 65%;
}
.mobile-container .footer-mobile_container .cashout-button-mobile button{
  color: transparent;
  background: url(https://nctmedia.online/cafe_project/icon/cashout.webp) no-repeat center;
  background-image: url(https://nctmedia.online/cafe_project/icon/cashout.webp);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  width: auto;
  height: 100%;
  border: none;
  outline: none;
  filter: drop-shadow(2px 2px 2px black);
  border-radius: 8px;
  background-color: transparent;
  padding: 0 16px;
}

@media screen and (orientation:portrait) {
  body.mobile .container-welcome img[src="https://nctmedia.online/cafe_project/icon/slot-icon.svg"]{
    width: 60%;
  }
  body.mobile .container-welcome img[src="https://nctmedia.online/cafe_project/icon/site_logo.webp"]{
    width: 50%;
  }
  body.mobile .container-welcome h1{
    font-size: 18px;
  }
  body.mobile .container-welcome h2{
    font-size: 12px;
    text-align: center;
  }

  body.mobile .sweet-alert.modal-withdraw{
    margin-top: 0 !important;
    top: 50%;
    transform: translateY(-50%);
  }
  body.mobile .sweet-alert.modal-withdraw .sa-icon.sa-warning.pulseWarning{
    width: 40px;
    height: 40px;
    margin: 0 auto;
  }
  body.mobile .sweet-alert .sa-icon.sa-warning .sa-body{
    height: 10px;
  }
  body.mobile .sweet-alert .sa-icon.sa-warning.pulseWarning,
  body.mobile .sweet-alert.modal-withdraw.showSweetAlert.visible .sa-icon.sa-warning.pulseWarning{
    width: 40px;
    height: 40px;
    -webkit-animation: none;
    animation: none;
    margin: 0 auto;
  }
  
  body.mobile .sweet-alert h2,
  body.mobile .sweet-alert.modal-withdraw.showSweetAlert.visible h2{
    margin:0;
    line-height: 1;
    font-size: 21px;
    margin-top: 13px;
  }
  body.mobile .showSweetAlert[data-animation=pop] {
    -webkit-animation: none !important;
    animation: none !important;
  }
  body.mobile .sweet-alert.modal-withdraw.showSweetAlert {
    animation: none !important;
  }
  body.mobile .sweet-alert .sa-button-container{
    display: flex;
    justify-content: center;
  }
  body.mobile .sweet-alert button.cancel{
    border: 2px solid #f89219;
    padding: 9px;
  }

  /* modal add balance */
  body.mobile #cashin-block{
    width: 90%;
    height: fit-content;
  }
  body.mobile #cashin-block .money-up p{
    color: #fff;
    font-size: 18px;
    line-height: 1;
    text-shadow: none;
    border: none;
    -webkit-text-stroke-width: 0;
    -webkit-text-stroke-color: black;
  }
  body.mobile #cashin-block .money-up p.plus-money{
    font-size: 18px !important;
    display: flex;
    flex-wrap: wrap;
    max-width: 80%;
    justify-content: center;
    margin: 18px auto;
  }
  body.mobile .sweet-alert .sa-icon.sa-custom{
    margin: 0;
    height: 16px !important;
    
  }
}
@media screen and (orientation:landscape) {
  /* modal add balance */
  body.mobile #cashin-block{
    width: 90%;
    height: fit-content;
  }
  body.mobile #cashin-block .money-up p{
    color: #fff;
    font-size: 22px;
    line-height: 1;
    text-shadow: none;
    border: none;
    -webkit-text-stroke-width: 0;
    -webkit-text-stroke-color: black;
  }
  body.mobile #cashin-block .money-up p.plus-money{
    font-size: 18px !important;
    display: flex;
    flex-wrap: wrap;
    max-width: 80%;
    justify-content: center;
    margin: 18px auto;
  }

  body.mobile .container-welcome img[src="https://nctmedia.online/cafe_project/icon/slot-icon.svg"]{
    width: 35%;
  }
  body.mobile .container-welcome img[src="https://nctmedia.online/cafe_project/icon/site_logo.webp"]{
    width: 50%;
  }
  body.mobile .container-welcome h1{
    font-size: 18px;
  }
  body.mobile .container-welcome h2{
    font-size: 12px;
    text-align: center;
  }

  .mobile-container .header-mobile_container{
    height: 12vh;
  } 
  .mobile-container .header-mobile_container .machine-no span.username{
    font-size: 1.2em;
  }
  .mobile-container .header-mobile_container .credit{
    flex-direction: row;
    align-items: center;
    padding-left: 0%;
  }
  .mobile-container .header-mobile_container .credit .money-amount{
    height: 85%;
    max-height: 85%;
  }
  .mobile-container .footer-mobile_container{
    height: 10vh;
  }
  .mobile-container .footer-mobile_container #alarmAlert{
    height: 30px;
    width: 30px;
  }
  .mobile-container .footer-mobile_container .cashout-button-mobile{
    border-radius: 5px;
    padding: 0;
  }
  :root {
    --gutter: 8px;
  }
  .mobile-container .listgames-mobile_container{
    /* overflow-x: auto;
    grid-template-columns: repeat(var(--total), 28%);
    grid-template-rows:  repeat(2, 50%);
    overflow-x: scroll;
    scroll-snap-type: x proximity;
    margin-bottom: 0;
    margin-bottom: 10vh;
    margin-top: 8px; */

    grid-template-columns: repeat(var(--total), minmax(153px, 1fr));
    grid-template-rows: minmax(48%, 48%) minmax(48%, 48%);
    overflow-x: scroll;
    scroll-snap-type: x proximity;
    margin-bottom: 0;
    margin-bottom: auto;
    margin-top: auto;
    padding-bottom: 7vh;
    margin-left: 0;
    margin-right: 7px;
    padding-left: 8px;
    padding-right: 8px;
  }
  .listgames-mobile_container::-webkit-scrollbar{
    height: 0px;
  }
  .mobile-container .listgames-mobile_container .game-item-mobile {
    margin: 8px;
  }
  .mobile-container .listgames-mobile_container .game-item-mobile button{
    height: 100%;
  }
  .mobile-container .listgames-mobile_container .game-item-mobile button img {
    max-width: 100%;
    width: 100%;
    object-fit: cover;
    height: 100%;
    max-height: 100%;
    border-radius: 5px;
    display: block;
  }
  .mobile-container .listgames-mobile_container .game-item-mobile:nth-child(1){margin-top: 8px;}
  .mobile-container .listgames-mobile_container .game-item-mobile:nth-child(2){margin-top: 8px;}
  .mobile-container .listgames-mobile_container .game-item-mobile:nth-last-child(1){margin-bottom: 8px;}
  .mobile-container .listgames-mobile_container .game-item-mobile:nth-last-child(2){margin-bottom: 8px;}
  .mobile-container .footer-mobile_container .cashout-button-mobile {
    height: 75%;
    width: 13%;
  }
  
  /* modal withdraw  landscape*/
  .sweet-alert,.sweet-alert.modal-withdraw.showSweetAlert.visible{
    width: 70%;
    display: block;
    margin-top: -185px;
    margin: 0 auto;
    top: 50%;
    transform: translate(-50%,-50%);
    margin-top: 0 !important;
    max-width: 70% !important;
  }
  .sweet-alert .sa-icon.sa-warning.pulseWarning,
  .sweet-alert.modal-withdraw.showSweetAlert.visible .sa-icon.sa-warning.pulseWarning{
    width: 40px;
    height: 40px;
    -webkit-animation: none;
    animation: none;
  }
  
  .sweet-alert .sa-body.pulseWarningIns,
  .sweet-alert .sa-icon.sa-warning.pulseWarning .sa-body.pulseWarningIns,
  .sweet-alert.modal-withdraw.showSweetAlert.visible .sa-body.pulseWarningIns{
    height: 11px;
  }
  .sweet-alert h2,
  .sweet-alert.modal-withdraw.showSweetAlert.visible h2{
    margin:0;
  }
  .showSweetAlert[data-animation=pop] {
    -webkit-animation: none !important;
    animation: none !important;
  }
  .sweet-alert.modal-withdraw.showSweetAlert {
    animation: none !important;
  }
  body.mobile .sweet-alert .sa-icon.sa-custom{
    margin: 0;
    height: 10px !important; 
  }
}

.show-maintenance{
  position: absolute;
  z-index: 1;
  background-color: #000000ba;
  border-radius: 10px;
  width: 92%;
  height: 92%;
}

.justify-maintenance{
  height: 100%;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
}

.img-maintenance{
  box-shadow:none !important;
  height: 50% !important;
}

.span-maintenance{
  margin-top: 4px;
  font-size: 1.6em;
  white-space: inherit;
  line-height: 1;
  color: #e9ae00;
  font-weight: 700;
  min-height: 30px;
}

#jdb-game{
  display: none;
}

#pg-game{
  display: none;
}

#omg-game{
  display: none;
}

#all-game-slot{
  display: none;
}

#all-game-fish{
  display: none;
}

.select-language{
  position: absolute;
  bottom: 30px;
  right: 30px;
  /* width: 100%;
  margin: 16px 40px 16px 16px; */
  /* background: #feb900; */
  border-radius: 50%;
  filter: drop-shadow(1px 1px 6px black);
  cursor: pointer;
  /* max-height: 18vh;
  max-width: 4.5vw; */
}

.select-language-img{
  width: 4.8vw;
  /* max-height: 80px; */
  padding: 5px;
  border-radius: 50%;
}

.lang{
  border-radius: 50%;
  width: 80px!important;
  margin: 40px 4px;
  height: auto;
}

.back-rotate-orientation{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100vw;
  height: 100vh;
}

.back-rotate-orientation img{
  max-width: 40vw;
}

.back-rotate-orientation span{
  font-size: 4vw;
}
.back-rotate-orientation small{
  font-size: 2.7vw;
}

.sweet-alert {
  background: linear-gradient(to bottom, #600000 0%, #280203 75%);
}

.icon-OMG {
  position: absolute;
  width: 14%;
  bottom: 5%;
  left: 2%;
}

.icon-OMG img {
  width: 75%;
  box-shadow: 6px 6px 3px 5px rgb(0 0 0 / 31%);
  border-radius: 50%;
}

.progress-container {
  position: relative;
  width: 40px;
  height: 300px;
  background-color: #e0e0e0;
  border-radius: 20px;
  overflow: hidden;
  margin: 20px auto;
}

.progress-bar {
  position: absolute;
  bottom: 0;
  width: 100%;
  background-color: #4caf50;
  height: 0%;
  transition: height 0.3s ease;
}

.label {
  text-align: center;
  margin-top: 10px;
  font-weight: bold;
}

.swal-ban{
  width: 35%;
  p{
    margin: 20px 0px;
  }
}

.language-not-select {
  margin-left: -4vw;
  opacity: .4;
}


@media screen and (orientation: portrait) {
  .header-tab{
    flex-direction: column;
  }
  .header-tab .machine-no-bg{
    width: 40%;
    border-right: 10vw solid transparent;
    border-top: 27vw solid #170000;
  }
  .header-tab .machine-no-data{
    width: 100%;
    flex-direction: row;
  }
  .header-tab .machine-no-data h5{
    width: 65%;
    text-align: center;
    padding-left: 0;
  }
  .header-tab .machine-no-data h3{
    font-size: 3vh;
    padding-left: 5%;
  }
  .select-game-provider{
    margin-top: 0 !important;
    top: 50%;
  }
  #alarmAlert {
    width: 8.5vw !important;
    bottom: 2%;
    left: 2%;
  }
  .select-language{
    bottom: 2%;
    left: 12%;
    right: unset;
  }
  .select-language-img {
    width: 8.8vw;
    max-height: none;
  }
  .language-not-select {
    margin-left: -7vw;
  }
  .icon-OMG {
    bottom: auto;
    top: 18%;
    img { 
      width: 100%;
    }
  }
  .header-tab {
    .credits {
      .money{
        max-height: calc(60%) !important;
      }
      .label {
        font-size: 70px;
      }
    } 
    .cashout-button {
      width: 25%;
    }
  }

  .big-screen-select-game{
    position: absolute;
    left: 50%;
    bottom: 3%;
    transform: translate(-50%) !important;
    width: 40%;
  }

  .big-screen-select-game-provider{
    display: flex;
    justify-content: center;
    align-items: center;     
    gap: 20px;               
  }

  .big-screen-select-game-provider .game-provider{
    text-align: center;
    /* padding: 20px 0 0 0; */
    opacity: 0.5;

    /* width: 150px;
    height: 110px; */
    border-radius: 15%;
    box-shadow: 0 4px 12px rgba(0, 0, 0, .2);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all .25s ease;
    height: 190px;
    width: 100%;
  }

  .big-screen-select-game-provider .active{
    opacity: 1;

    border: 5px solid #fdb62b !important;
    padding: 3%;
  }

  .big-screen-select-game-provider .game-provider img{
    width: 100%;
    box-shadow: 6px 6px 3px 5px rgb(0 0 0 / 31%);
    /* padding: 15px; */
    /* border-radius: 25px; */
    /* border: 10px solid #fdb62b00; */

    /* width: 120px; */
    height: auto;
    opacity: .6;
    transition: all .25s ease;
  }

  .gamelist-item > .img-wrapper {
    height: 400px;
  }

  .full-screen-container{
    width: 85vw;
  }

  .show-disconnect .inner-content {
    height: 15%;
    align-content: center;
  }

  .show-disconnect .inner-content h2 {
    font-size: 74px;
  }

  .show-disconnect .inner-content span {
    font-size: 54px;
  }
  .sweet-alert.showSweetAlert {
    width: 70%;
    margin-left: 0 !important;
    margin-top: 0 !important;
    transform: translate(-50%, -50%) !important;
  }
  .sweet-alert h2 {
    font-size: 60px;
    line-height: 1;
  }

  .slick-prev {
    top: auto;
    bottom: -5%;
    left: 4%;
  }
  
  .slick-next {
    top: auto;
    bottom: -5%;
    right: 4%;
  }

  .slick-arrow {
    transform: scale(7.5);
  }

  .slick-dots {
    bottom: -5%;
    width: 80%;
    transform: translate(50%);
    right: 50%;
  }

  .slick-dots li {
    height: calc((12 / 1920) * 100vw *2);
    width: calc((38 / 1920) * 100vw *2);
  }

  .gamelist-wrapper .gamelist-item {
    width: calc(100% / 3);
  }

  .btn-main1 {
    font-size: calc((18 / 1920) * 100vw *2);
  }

  .sweet-alert button.confirm,
  .sweet-alert button.cancel  {
    width: 240px !important;
    font-size: 34px;
  }

  #modal_cashout .modal-dialog {
    width: 70% !important;
    max-width: none !important;
  }

  .lang {
    width: 200px !important;
    margin: 80px 8px;
  }

  #modal_game.desktop #game_cashout {
    bottom: 0%;
    top: auto;
    width: calc((100 / 1920) * 100vw * 2);
    height: calc((102 / 1920) * 100vw * 2);
    border-radius: 40px 0 0 0;
    border-top: calc((2 / 1920) * 100vw * 2) solid #E7D5A1 !important;
    border-right: none !important;
    border-bottom: none;
    border-left: calc((2 / 1920) * 100vw * 2) solid #E7D5A1;
  }

  #modal_game.desktop #game_menu {
    bottom: 0%;
    top: auto;
    width: calc((100 / 1920) * 100vw * 2);
    height: calc((102 / 1920) * 100vw * 2);
    border-radius: 0 40px 0 0;
    border-top: calc((2 / 1920) * 100vw * 2) solid #E7D5A1 !important;
    border-right: calc((2 / 1920) * 100vw * 2) solid #E7D5A1;
    border-bottom: none;
    border-left: none !important;
  }

  #modal_game [id^="game_"] {
    font-size: calc((26 / 1920) * 100vw);
  }

  .gamelist-wrapper .gamelist-item .img_game {
    object-fit: fill !important;
  }

  @media screen and (max-width: 1080px) {
    .full-screen-container {
      width: 58vw;
    }
    .gamelist-item > .img-wrapper {
      height: 200px;
    }
    .slick-arrow {
      transform: scale(4.5);
    }
    .big-screen-select-game{
      width: 25%;
    }
    .show-disconnect .inner-content h2 {
      font-size: 37px;
    }
  
    .show-disconnect .inner-content span {
      font-size: 27px;
    }
    .big-screen-select-game-provider .game-provider{
      width: 150px;
      height: 110px;
    }
    .big-screen-select-game-provider .active{
      padding: 15px;
    }
    .big-screen-select-game-provider .game-provider img{
      width: 120px;
    }
    .img-active {
      /* border: 5px solid #fdb62b !important; */
    }
  }

  .cashout-button-portrait {
    width: 20%;
    height: 7%;
    display: block;
    position: absolute;
    bottom: 2%;
    right: 3%;
  }
  .cashout-button-portrait button{
    color: transparent;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    filter: drop-shadow(2px 2px 2px black);
    border-radius: 15px;
    background-color: transparent;
    filter: drop-shadow(2px 1px 1px black);
  }

  #game-slider-slot, #game-slider-fish, #game-slider-omg {
    margin-top: 5% !important;
  }
  .sweet-alert {
    top: 70% !important;
  }
  .icon-OMG-portrait {
    width: 35%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;

    img{
      width: 100%;
      object-fit: contain;
      height: 100%;
      position: absolute;
      bottom: 15%;
    }
  }
}